namespace CMSMicroservice.Application.InventoryItemCQ.Commands.IncreaseInventory;

public class IncreaseInventoryCommandValidator : AbstractValidator<IncreaseInventoryCommand>
{
    public IncreaseInventoryCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("شناسه آیتم موجودی معتبر نیست");

        RuleFor(x => x.Quantity)
            .GreaterThan(0).WithMessage("تعداد افزایش باید بیشتر از صفر باشد");
    }
}
